Bug 1328609 - missing RHN channel mappings to ppc64le product certs for product id 279
Summary: missing RHN channel mappings to ppc64le product certs for product id 279
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager-migration-data
Version: 7.3
Hardware: ppc64le
OS: Unspecified
low
high
Target Milestone: rc
: ---
Assignee: vritant
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-19 20:38 UTC by John Sefler
Modified: 2016-11-03 20:28 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-03 20:28:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:2592 normal SHIPPED_LIVE Moderate: subscription-manager security, bug fix, and enhancement update 2016-11-03 12:10:42 UTC

Description John Sefler 2016-04-19 20:38:26 UTC
Description of problem:

WARNING: RHN Channel mapping file '/usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt' does NOT account for RHN base channel 'rhel-ppc64le-server-7'.


Version-Release number of selected component (if applicable):
[root@jsefler-7 ~]# cat /etc/redhat-release 
Red Hat Enterprise Linux Server release 7.3 Beta (Maipo)
[root@jsefler-7 ~]# rpm -q subscription-manager-migration-data
subscription-manager-migration-data-2.0.24-1.el7.noarch


How reproducible:


Steps to Reproduce:
[root@jsefler-7 ~]# grep rhel-ppc64-server-7 /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-ppc64-server-7: Server-Server-ppc64-2231bc3accee-74.pem
rhel-ppc64-server-7-beta: Server-Server-ppc64-a998cd09740e-74.pem
rhel-ppc64-server-7-beta-debuginfo: Server-Server-ppc64-a998cd09740e-74.pem
rhel-ppc64-server-7-debuginfo: Server-Server-ppc64-2231bc3accee-74.pem
rhn-tools-rhel-ppc64-server-7: Server-Server-ppc64-2231bc3accee-74.pem
rhn-tools-rhel-ppc64-server-7-debuginfo: Server-Server-ppc64-2231bc3accee-74.pem
[root@jsefler-7 ~]# 
[root@jsefler-7 ~]# grep rhel-ppc64le-server-7 /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
[root@jsefler-7 ~]# 


Actual results:
above

Expected results:
The grep for rhel-ppc64le-server-7 should have also found a mapping for mappings to Server-Server-ppc64le-*-279.pem product certs (both Beta and GA versions)

Additional info:
An update from release engineering to the upstream http://git.app.eng.bos.redhat.com/git/rcm/rcm-metadata.git/tree/cdn/product-certs.json is needed first.

Comment 3 Shwetha Kallesh 2016-05-03 06:03:34 UTC
Failed QA

[root@dhcp35-31 ~]# rpm -qa | grep migration-data
subscription-manager-migration-data-2.0.28-1.el7.noarch


rhel-ppc64le-server-7 mapping for mappings to Server-Server-ppc64le-*-279.pem product certs has been found but rhel-aarch64-server-7 channel maps to product id 294 for rhel73 is still missing

-------------------------------------------------------------------------

[root@dhcp35-31 ~]#  grep rhel-ppc64le-server-7 /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhn-tools-rhel-ppc64le-server-7: Server-Server-ppc64le-114a066e64e4-279.pem
rhn-tools-rhel-ppc64le-server-7-debuginfo: Server-Server-ppc64le-114a066e64e4-279.pem

[root@dhcp35-31 ~]#  grep rhel-aarch64-server-7 /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
[root@dhcp35-31 ~]#

Comment 7 Shwetha Kallesh 2016-08-10 09:31:35 UTC
See mapping for rhel-ppc64le-server-7 and rhel-aarch64-server-7 , hence marking bug as verified
[root@dhcp35-77 ~]# rpm -qa | grep migration-data
subscription-manager-migration-data-2.0.30-1.el7.noarch




[root@dhcp35-77 ~]# grep rhel-ppc64le-server-7 /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhn-tools-rhel-ppc64le-server-7: Server-Server-ppc64le-30aa3debf758-279.pem
rhn-tools-rhel-ppc64le-server-7-debuginfo: Server-Server-ppc64le-30aa3debf758-279.pem


[root@dhcp35-77 ~]# grep rhel-aarch64-server-7 /usr/share/rhsm/product/RHEL-7/channel-cert-mapping.txt
rhel-aarch64-server-7: Server-Server-aarch64-a31e45d7ba21-294.pem
rhel-aarch64-server-7-debuginfo: Server-Server-aarch64-a31e45d7ba21-294.pem

Comment 9 errata-xmlrpc 2016-11-03 20:28:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-2592.html


Note You need to log in before you can comment on or make changes to this bug.